/*
 * Created on Nov 11, 2003
 *
 * 
 */
package com.ibm.sysmgt.sdk.remote.test;

import java.util.Locale;

import com.ibm.sysmgt.sdk.remote.DirectorServer;

import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * @author Dave Wormald
 *
 * 
 */
public class TestDirectorServerClass extends SetupToUseDirectorServer {

	/**
	 * 
	 */
	public TestDirectorServerClass() {
		super();
	}

	/**
	 * @param arg0
	 */
	public TestDirectorServerClass(String arg0) {
		super(arg0);
	}


	public void testgetOperatingSystemName() {
		try {
			String os = mgr.getOperatingSystemName(s);
			assertNotNull(os);
			Assert.assertTrue(os.length() > 0);
		} catch (Exception e) {
			e.printStackTrace();
			fail(e.getMessage());
		}
	}

	public void testgetProductVersion() {
		try {
			String version = mgr.getProductVersion(s);
			assertNotNull(version);
			Assert.assertTrue(version.length() > 0);
		} catch (Exception e) {
			e.printStackTrace();
			fail(e.getMessage());
		}

	}

	public void testisManagerActive() {
		try {
			Assert.assertTrue("Session is bad", (s != null));
			Assert.assertTrue(
				"manager is not active",
				(mgr.isManagerActive(s)));
		} catch (Exception e) {
			fail();
		}
		println("Manager is active");
	}

	public void testgetServerStatus() {
		Assert.assertEquals(
			mgr.getServerStatus(s),
			DirectorServer.DIRECTOR_SERVER_STATUS_ACTIVE);
	}

}
