/******************************************************************************
 * Licensed Materials - Property of IBM                            *
 *                                                                            *
 * PID (5697-TKT)                                                             *
 *                                                                            *
 * (C) Copyright by IBM 1999. All Rights Reserved. *
 *****************************************************************************/
package com.BobCo.EventHandler;

import java.util.ListResourceBundle;

public class WriteEventToFileBundle extends ListResourceBundle {
    public Object[][] getContents() {
        return contents;
    }
    private static final Object[][] contents = {
        { "TITLE", "Log Event to a file" },
        { "FILENAME", "File Name" },
        { "EVENT_DATA_FORMAT", "Event data format" },
		{ "RESET_FILE", "Reset the file after writing a single Record"} ,
		{ "APPEND_EVENT_RECORDS", "Append event records"} ,
        { "MAX_EVENTS", "Max # of event detail records to be stored into the file" },
        { "ACTION", "Action" },
        { "INVALID_FILENAME", "Invalid file name" },
        { "INVALID_EVENT_DATAFORMAT", "Invalid event data format" },
        { "VALUE_CANNOT_BE_ZERO", "Invalid number of records to be stored" },
        { "SERV_NODE_CONN_FAIL", "Connection failed while sending event to {0}" },
    };
}
